/* #############################################################################################
   ###############################   JS TIMELINE WZP   #########################################
   ############################################################################################# */
(function($) {
    $.fn.WzpTimeline = function() {
        var divs = $(this).find('div'),
            $w = $(window);

        function reveal() {
            var inview = divs.filter(function() {
                var $t = $(this),
                    wt = $w.scrollTop(),
                    wb = wt + $w.height(),
                    et = $t.offset().top,
                    eb = et + $t.height();

                return eb >= wt && et <= wb;
            });

            window.setTimeout(function() {
                inview.addClass('wzp-timeline-anzeige-script');
            }, 100);
            divs = divs.not(inview);
        }

        $w.on("scroll.timeline resize.timeline", reveal);
        
        divs.each(function (div) {
            div.on("click", function () {
                $.fancybox({
                    href: div.style.getPropertyValue('--bg'),
                    
                })
            });
        });

        reveal();

        return this;
    };

})(jQuery);

$(document).ready(function() {
    $('ul.wzp-timeline-animate').WzpTimeline();
});
/* #############################################################################################
   ############################   ENDE JS TIMELINE WIDGET ZP    ################################
   ############################################################################################# */